function love.load()
	love.graphics.setBackgroundColor(255, 255, 255)
	
	c1 = {0, 0, 0}
	c2 = {255, 255, 255}
	
	current = 1
	se = 190
	dir = "ver"
end

function love.keypressed(k)
	if k == "right" then
		current = math.min(8, current + 1)
	elseif k == "left" then
		current = math.max(1, current - 1)
	end
end

function love.update(dt)
	--controls
	if love.keyboard.isDown("up") then
		if current == 8 then
			dir = "hor"
		elseif current == 7 then
			se = math.min(200, se + 1)
		elseif current <= 3 then
			c1[current] = math.min(255, c1[current] + 1)
		else
			c2[current-3] = math.min(255, c2[current-3] + 1)
		end
	elseif love.keyboard.isDown("down") then
		if current == 8 then
			dir = "ver"
		elseif current == 7 then
			se = math.max(1, se - 1)
		elseif current <= 3 then
			c1[current] = math.max(0, c1[current] - 1)
		else
			c2[current-3] = math.max(0, c2[current-3] - 1)
		end
	end
end

function love.draw()
	love.graphics.setColor(0, 0, 0)
	for i = 1, 8 do
		if current == i then
			love.graphics.setColor(255, 0, 0)
		else
			love.graphics.setColor(0, 0, 0)
		end
		if i == 8 then
			love.graphics.print(dir, 28*(i-1)+60, 0)
		elseif i == 7 then
			love.graphics.print(se, 28*(i-1)+40, 0)
		elseif i <= 3 then
			love.graphics.print(c1[i], 28*(i-1), 0)
		else
			love.graphics.print(c2[i-3], 28*(i-1)+20, 0)
		end
	end
	love.graphics.translate(40, 50)
	love.graphics.setColor(200, 200, 200)
	love.graphics.rectangle("fill", 10, 10, 200, 190)
	love.graphics.gradient(dir, 10, 10, 200, 190, se, c1, c2)
	if dir == "ver" then
		love.graphics.setColor(c1)
		love.graphics.rectangle("fill", 8, 9, 204, 1)
		love.graphics.setColor(c2)
		love.graphics.rectangle("fill", 8, 200, 204, 1)
	else
		love.graphics.setColor(c1)
		love.graphics.rectangle("fill", 9, 8, 1, 194)
		love.graphics.setColor(c2)
		love.graphics.rectangle("fill", 210, 8, 1, 194)
	end
end

function love.graphics.gradient(d, x, y, w, h, s, c1, c2)
	--By Alesan99
	local color
	local colors = {}
	for i = 1, s do
		color = {}
		for i2 = 1, 4 do
			if (c1[i2] or 255) == (c2[i2] or 255) then
				color[i2] = (c1[i2] or 255)
			elseif (c1[i2] or 255) > (c2[i2] or 255) then
				color[i2] = math.min(255, (c2[i2] or 255)+(((c1[i2]-c2[i2] or 255)/s)*(s-(i-1))))
			else
				color[i2] = math.max(0, (c1[i2] or 255)+(((c2[i2]-c1[i2] or 255-c1[i2])/s)*i))
			end
		end
		love.graphics.setColor(color)
		if d == "hor" then
			love.graphics.rectangle("fill", x+((w/s)*(i-1)), y, w/s, h)
		elseif d == "ver" then
			love.graphics.rectangle("fill", x, y+((h/s)*(i-1)), w, h/s)
		end
	end
end